# TODO:
# - runtime Requires if any
%define		kdeframever	5.59
%define		qtver		5.9.0
%define		kfname		kcrash

Summary:	Graceful handling of application crashes
Name:		kf5-%{kfname}
Version:	5.59.0
Release:	1
License:	GPL v2+/LGPL v2.1+
Group:		X11/Libraries
Source0:	http://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	e8c2091f630990ac264b8f265340d48d
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel >= %{qtver}
BuildRequires:	Qt5DBus-devel >= %{qtver}
BuildRequires:	Qt5Gui-devel >= %{qtver}
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	Qt5X11Extras-devel >= %{qtver}
BuildRequires:	cmake >= 2.8.12
BuildRequires:	kf5-extra-cmake-modules >= 1.4.0
BuildRequires:	kf5-kcoreaddons-devel >= %{version}
BuildRequires:	kf5-kwindowsystem-devel >= %{version}
BuildRequires:	ninja
BuildRequires:	polkit-qt-1-devel
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KCrash provides support for intercepting and handling application
crashes.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %ghost %{_libdir}/libKF5Crash.so.5
%attr(755,root,root) %{_libdir}/libKF5Crash.so.*.*
/etc/xdg/kcrash.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KCrash
%{_includedir}/KF5/kcrash_version.h
%{_libdir}/cmake/KF5Crash
%attr(755,root,root) %{_libdir}/libKF5Crash.so
%{qt5dir}/mkspecs/modules/qt_KCrash.pri
%changelog
* Sun Nov 03 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kcrash.git;a=log;h=master

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 31b851b
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 654a0d3
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> eef89fb
- updated to 5.53.0

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> abc7eb2
- up to 5.48.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> ebec493
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> ae219e0
- up to 5.43.0

* Sat Oct 14 2017 Witold Filipczyk <witekfl@poczta.onet.pl> 6d5c40a
- updated to 5.39.0

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> fb44f7b
- updated to 5.24.0; fetch sources

* Sat Jul 09 2016 Witold Filipczyk <witekfl@poczta.onet.pl> c51b167
- updated to 5.23

* Sat Feb 27 2016 Witold Filipczyk <witekfl@poczta.onet.pl> c60483e
- updated to 5.19.0

* Fri Sep 04 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 841411b
- up to 5.13.0

* Sat May 23 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d514bf6
- rel 1

* Fri May 22 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 56a1a3f
- up to 5.10.0

* Tue Dec 09 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> c67c30f
- up to 5.4.0

* Thu Jul 10 2014 Elan Ruusamäe <glen@delfi.ee> 9f6989e
- tar.xz deps

* Wed Jul 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 2149fad
- new

